$regfile = "attiny13.dat"
$crystal = 1200000
Config Pinb.0 = Output                                      'Pin for counting
Config Pinb.1 = Output                                      'Reset pin for counter


Config Adc = Single , Prescaler = Auto , Reference = Internal
Start Adc                                                   'Start ADC with INTERNAL U_ref = 1.1V


Dim A As Byte                                               'Loop Variable
Dim W As Word                                               'ADC value

Portb.1 = 1                                                 'Enable Counter

W = 0                                                       'Initializing ADC variable
Do

   For A = 1 To W                                           'Set counter to value W by toggling port B.0
   Portb.0 = 1
   Portb.0 = 0
   Next A

   W = 0                                                    'Get new ADC value by 16x averaging
   For A = 1 To 16
   W = W + Getadc(1)
   Next A

   W = W / 160                                              'Scaling of ADC value
   If W >= 100 Then W = 99                                  'If Overflow then show 9.9

   Waitms 300                                               'Show value for 0,3 sec.
   Portb.1 = 1                                              'Reset counter by toggling port B.1
   Portb.1 = 0

Loop

End